Почему не нужен Wine@Etersoft (Почему Linux так плохо продаётся)

WINE@Etersoft, "1С","Ананас" и прочие проекты

Модераторы: Hoblin, lav

Аватара пользователя
Komintern
Сообщения: 13
ОС: Слаковод, BSDшник

Почему не нужен Wine@Etersoft

Сообщение Komintern » 07.10.2014 15:52

Купили лицензию Wine@Etersoft Network 2.1.3. Получили через систему сборки/отгрузки Etersoft пакеты для Ubuntu 10.04 64 bit, установили и работали.

Возникла необходимость обновления ОС до Ubuntu 14.04. При попытке получения пакетов от того же Etersoft обнаружилось что часть пакетов отгружается для amd64, часть пакетов для i386.
Обращение в поддержку привело к переписке в 10 писем-отказов исправления бага и сборки необходимых пакетов.

Итого:

Мы не можем установить на Ubuntu 14.04 64-bit отгруженные нам пакеты для i386 из за ошибок зависимостей:
Spoiler

$ sudo dpkg -i wine-etersoft_2.1.3-eter9ubuntu_i386.deb

...
Unpacking wine-etersoft (2.1.3-eter9ubuntu) ...
dpkg: зависимости пакетов не позволяют настроить пакет wine-etersoft:
wine-etersoft зависит от libasound2.
wine-etersoft зависит от libc6.
wine-etersoft зависит от libcups2.
wine-etersoft зависит от libdbus-1-3.
wine-etersoft зависит от libfontconfig.
wine-etersoft зависит от libfreetype6.
wine-etersoft зависит от libglib2.0-0.
wine-etersoft зависит от libgnutls26.
wine-etersoft зависит от libgstreamer-plugins-base0.10-0.
wine-etersoft зависит от libgstreamer0.10-0.
wine-etersoft зависит от libice6.
wine-etersoft зависит от libieee1284-3.
wine-etersoft зависит от libjpeg8.
wine-etersoft зависит от liblcms1.
wine-etersoft зависит от libmpg123-0.
wine-etersoft зависит от libncurses5.
wine-etersoft зависит от libopenal1.
wine-etersoft зависит от libpng12-0.
wine-etersoft зависит от libsm6
dpkg: error processing package wine-etersoft (--install):
проблемы зависимостей — оставляем не настроенным
...

$ dpkg -l | grep libasound2
ii libasound2:amd64 1.0.27.2-3ubuntu7 amd64 shared library for ALSA applications
ii libasound2-data 1.0.27.2-3ubuntu7 all Configuration files and profiles for ALSA drivers
ii libasound2-plugins:amd64 1.0.27-2ubuntu2 amd64 ALSA library additional plugins
...
$ $ dpkg -l | grep libc6
ii libc6:amd64 2.19-0ubuntu6.3 amd64 Embedded GNU C Library: Shared libraries
ii libc6-dbg:amd64 2.19-0ubuntu6.3 amd64 Embedded GNU C Library: detached debugging symbols
ii libc6-dev:amd64 2.19-0ubuntu6.3 amd64 Embedded GNU C Library: Development Libraries and Header Files
ii libc6-i386 2.19-0ubuntu6.3 amd64 Embedded GNU C Library: 32-bit shared libraries for AMD64

Мы не можем установить на Ubuntu 14.04 64-bit отгруженные нам пакеты для amd64, но для Ubuntu 10.04 опять же из за ошибок зависимостей.

Соответственно мы не можем использовать Wine@Etersoft Network на Ubuntu 14.04 и производителю ПО на нас наплевать:

Spoiler

Нам нужен 64-битный, он СУЩЕСТВУЕТ для Ubuntu 10.04, вот эти пакеты:

$ dpkg -I wine-etersoft_2.1.3-eter9ubuntu_amd64.deb

Package: wine-etersoft
Version: 2.1.3-eter9ubuntu
Architecture: amd64
Maintainer: System Administrator <Система отгрузки Etersoft <support@etersoft.ru>>

$ dpkg -I wine-etersoft-network_2.1.3-eter5ubuntu_amd64.deb

Package: wine-etersoft-network
Version: 2.1.3-eter5ubuntu
Architecture: amd64
Maintainer: builder <builder@builder64.office.etersoft.ru>

Нам нужны ЭТИ ЖЕ 2 (два) 64-битных пакета собранные для Ubuntu 14.04 64-bit.

32-битные пакеты выдают при установке на 64-битной Ubuntu 14.04 ошибки по зависимостям.
64-битные пакеты от Ubuntu 10.04 выдают при установке на 64-битной Ubuntu 14.04 ошибки по зависимостям.

Вы можете собрать 64 битные пакеты для 64-битной Ubuntu 14.04 (да/нет)?


[b]> Вы можете собрать 64 битные пакеты для 64-битной Ubuntu 14.04
> (да/нет)?

Нет.


Если мы не можем получить тот же продукт который работал на Ubuntu 10.04 (и за который заплачены деньги) работающим на Ubuntu 14.04, вывод может быть только один - такой продукт не нужен. А нам придётся искать другие пути решения проблемы.
Спасибо сказали:

Аватара пользователя
Bizdelnick
Модератор
Сообщения: 14130
Статус: grammatikführer
ОС: Debian GNU/Linux

Re: Почему не нужен Wine@Etersoft

Сообщение Bizdelnick » 07.10.2014 16:48

Показывайте всю историю переписки, чего уж там.
Пишите правильно:
в консоли
вкупе (с чем-либо)
в общем
вообще
в течение (часа)
команда
новичок
нюанс
приемлемо
проблема
пробовать
трафик
Спасибо сказали:

Hoblin
Модератор
Сообщения: 1442
Статус: Etersoft team
ОС: ALT Linux

Re: Почему не нужен Wine@Etersoft

Сообщение Hoblin » 07.10.2014 16:59

Кто-нибудь, объясните, пожалуйста, человеку, что такое multiarch и почему его нет в 10.04, а есть в 14.04. Я не смог :)

Так уж и быть, сделаю доброе дело для клиента и обращусь к руководству компании с рекомендацией найти грамотного специалиста взамен теперешнего.

> > А в чём глюк? На первый взгляд, всё ровно так, как и должно быть.
>
> В платформе.
> При выборе Ubuntu 14.04 64 bit собирается Wine@Etersoft 2.1.3 Network
> для i386.
>
>
> --
> C уважением, Осипенко Евгений
> Руководитель отдела сервисного обслуживания
> ООО "*******"

Всё правильно. Там же multiarch, начиная с 12.04. 32-битный вайн не имеет смысла собирать
в 64-битные пакеты.

--
С уважением,
Константин Кондратюк,
Etersoft,
http://etersoft.ru
Спасибо сказали:

Аватара пользователя
Komintern
Сообщения: 13
ОС: Слаковод, BSDшник

Re: Почему не нужен Wine@Etersoft

Сообщение Komintern » 07.10.2014 18:26

Hoblin писал(а):
07.10.2014 16:59
Кто-нибудь, объясните, пожалуйста, человеку, что такое multiarch и почему его нет в 10.04, а есть в 14.04. Я не смог :)


Не надо объяснять. Вы пишите: "Всё правильно. Там же multiarch, начиная с 12.04. 32-битный вайн не имеет смысла собирать в 64-битные пакеты."
Вас попросили собрать для Ubuntu 14.04 такие же два 64-х битных пакета как те которые Вы собрали для Ubuntu 10.04 (хотя не имеет смысла 32-х битный вайн в 64-битные пакеты bla-bla-bla).
Вы представляя поддержку - отказали. Нет никаких проблем поправить зависимости и в имеющихся 64-битных пакетах собранных для Ubuntu 10.04.
Нет проблем для меня, не должно быть (по идее) и для вас. Однако обычно это может противоречить лицензии, кроме того обращение в поддержку должно бы сэкономить время.

Так уж и быть, сделаю доброе дело для клиента и обращусь к руководству компании с рекомендацией найти грамотного специалиста взамен теперешнего.


А вот это другая сторона Etersoft - хамство. Вы не умеете работать с клиентами. С Вашей же позиции заявлять что-то подобное вообще - глупость.
Вас не просят цедить что-то презрительное клиентам сквозь зубы и в Ваш адрес не было написано ничего уничижительного. За то время которое Вы умничали, мы уже приобрели серверную лицензию 1С:Предприятие 8.3 (x86-64) для UNIX, уже установили и уже начали перевод конфигураций. Это было бы сделало в любом случае, но хотелось этот период провести более "плавно". К сожалению, время ушло на бестолковый разговор с Вами. Вы не делаете то о чём Вас просят и говорите очень много о чём Вас не спрашивают. Я решил потратить ещё немного времени чтобы это было известно сообществу.
Спасибо сказали:

Аватара пользователя
Bizdelnick
Модератор
Сообщения: 14130
Статус: grammatikführer
ОС: Debian GNU/Linux

Re: Почему не нужен Wine@Etersoft

Сообщение Bizdelnick » 07.10.2014 18:44

Komintern
Успокойтесь и попытайтесь всё-таки понять то, что Вам написали. Вы просите странного, более того, - невозможного. Debian и Ubuntu последних версий стали multiarch-системами, теперь i386-софт в amd64-системы устанавливается по-другому. Поэтому и пакеты другие.
Пишите правильно:
в консоли
вкупе (с чем-либо)
в общем
вообще
в течение (часа)
команда
новичок
нюанс
приемлемо
проблема
пробовать
трафик
Спасибо сказали:

Аватара пользователя
Komintern
Сообщения: 13
ОС: Слаковод, BSDшник

Re: Почему не нужен Wine@Etersoft

Сообщение Komintern » 07.10.2014 19:55

Bizdelnick писал(а):
07.10.2014 18:44
Успокойтесь и попытайтесь всё-таки понять то, что Вам написали. Вы просите странного, более того, - невозможного. Debian и Ubuntu последних версий стали multiarch-системами, теперь i386-софт в amd64-системы устанавливается по-другому. Поэтому и пакеты другие.


Предельно спокоен. Вот смотрите: TeamViewer

Ubuntu, Debian

  • Download deb v9.0.32150 - 32-Bit / 64-Bit Multiarch (teamviewer_linux.deb)
  • Download deb v9.0.32150 - 64-Bit without Multiarch (teamviewer_linux_x64.deb)


Невозможно? То же самое у Google, Adobe, Microsoft (Skype), Guitar Pro, etc, etc. Причём внутри - surprise, подготовленное окружение 32-битного wine + win-аппликуха. Общепринятая практика.
Спасибо сказали:

Аватара пользователя
DjSpike
Сообщения: 2265
Статус: в поисках истины
ОС: Lubuntu 12.04

Re: Почему не нужен Wine@Etersoft

Сообщение DjSpike » 07.10.2014 22:06

Голову не морочьте не себе не другим. Статьвьте спокойно пакеты:
wine-etersoft_2.1.3-eter9ubuntu_i386.deb
wine-etersoft-sql_2.1.3-eter5ubuntu_i386.deb

И все будете нормально работать.


Для Константина.
Spoiler
P.S. Константин, переименуйте пакеты в amd64 и отправьте клиенту, может ему от этого станет легче.
AvReg - По для организации Видеонаблюдения на Linux.
ДЭНСИ:КАССА - Рабочее место кассира под Linux.
Терминальные решения под Linux
Консультации по установке 1с+PostgreSQL+Ubuntu.
Спасибо сказали:

Аватара пользователя
Bizdelnick
Модератор
Сообщения: 14130
Статус: grammatikführer
ОС: Debian GNU/Linux

Re: Почему не нужен Wine@Etersoft

Сообщение Bizdelnick » 07.10.2014 22:10

Komintern писал(а):
07.10.2014 19:55
Невозможно?

Да, невозможно в тех версиях дистрибутива, из которых уже выпилили ia32-libs (а судя по тому, что у Вас старые пакеты в 14.04 не ставятся, оттуда выпилили). Это во-первых.
Во-вторых, Вы чего хотите, - доказать, что Вы умнее всех, или чтобы работало? Если второе - добавляйте архитектуру и ставьте пакеты.
Пишите правильно:
в консоли
вкупе (с чем-либо)
в общем
вообще
в течение (часа)
команда
новичок
нюанс
приемлемо
проблема
пробовать
трафик
Спасибо сказали:

Hoblin
Модератор
Сообщения: 1442
Статус: Etersoft team
ОС: ALT Linux

Re: Почему не нужен Wine@Etersoft

Сообщение Hoblin » 07.10.2014 22:25

Komintern писал(а):
07.10.2014 19:55
Вот смотрите: TeamViewer

Ubuntu, Debian

Download deb v9.0.32150 - 32-Bit / 64-Bit Multiarch (teamviewer_linux.deb)
Download deb v9.0.32150 - 64-Bit without Multiarch (teamviewer_linux_x64.deb)

А теперь угадайте, какой пакет из этих двух нужно ставить в 10.04, а какой - в 14.04. Ну не поленились привести пример, так прочитайте документацию на том же сайте. Там всё подробно написано.

Добро пожаловать в 2014. Осваивайте новые знания, линукс не стоит на месте.

Komintern писал(а):
07.10.2014 18:26
А вот это другая сторона Etersoft - хамство. Вы не умеете работать с клиентами.

Какое откровение! Корпоративная этика не позволяет сотрудникам Etersoft хамить и проявлять неуважение к клиенту. Но это отнюдь не значит, что "клиент всегда прав", мы оставляем за собой право определять грань, за которой клиент уже зарывается. Это относится в том числе и к публикации части рабочей переписки с целью ввести в заблуждение читателей и создать негативное впечатление о нашей работе.
Спасибо сказали:

Аватара пользователя
Komintern
Сообщения: 13
ОС: Слаковод, BSDшник

Re: Почему не нужен Wine@Etersoft

Сообщение Komintern » 08.10.2014 12:32

DjSpike писал(а):
07.10.2014 22:06
Голову не морочьте не себе не другим. Статьвьте спокойно пакеты:
wine-etersoft_2.1.3-eter9ubuntu_i386.deb
wine-etersoft-sql_2.1.3-eter5ubuntu_i386.deb

И все будете нормально работать.


Нормально оно работать не будет, по крайней мере до появления 1 в /proc/sys/abi/ldt16

(Hoblin) писал(а):А теперь угадайте, какой пакет из этих двух нужно ставить в 10.04, а какой - в 14.04.

Не собираюсь гадать. У меня на рабочем месте стоит XUbuntu 14.04 64 bit и teamviewer из пакета amd64. Работает. Правильно это или нет - оставьте мне судить.

(Hoblin) писал(а):Какое откровение! Корпоративная этика не позволяет сотрудникам Etersoft хамить и проявлять неуважение к клиенту. Но это отнюдь не значит, что "клиент всегда прав", мы оставляем за собой право определять грань, за которой клиент уже зарывается. Это относится в том числе и к публикации части рабочей переписки с целью ввести в заблуждение читателей и создать негативное впечатление о нашей работе.
Мне непонятно что такое "определять грань, за которой клиент уже зарывается". Этого "зарывается" нет в договоре. Оставшееся время тех. поддержки (мин.) - 1370 мин. За это время можно "Войну и Мир" рассказать. Вслух. Это не рабочая переписка, а Ваши ответы по заявке в оплаченной поддержке. Крупная компания приобрела у Вас 9 (девять) продуктов. И Вы выступаете как представитель компании-производителя ПО выполняющей обязательства по договору. Среди обязательств клиента нет соглашения о неразглашении, поэтому могу и имею полное право опубликовать всю переписку (единственное, что это достаточно скучно - ответов поддержки там на 2 с половиной строки). Ваши ответы выглядят ровно так как они читаются. Если Вы позволяете себе обороты в духе "угадайте" выше в поддержке клиентам, то это сложно назвать поддержкой. Обвинять после этого клиента в "цели создать негативное впечатление" смешно.

(Hoblin) писал(а):Добро пожаловать в 2014. Осваивайте новые знания, линукс не стоит на месте.

Как Вы думаете, для чего вообще существует поддержка? Особенно продуктов которые не работают "из коробки".

Вот полный диалог:

Spoiler

Клиент> Переходим с Ubuntu 10.04 64-bit на Ubuntu 14.04 64-bit Почему для Ubuntu 10.04 amd64 собираются amd64, а для Ubuntu 14.04 amd64 собираются i386, в том же самом (Ubuntu 14.04 amd64) каталоге отгрузки
Поддержка> А в чём глюк? На первый взгляд, всё ровно так, как и должно быть.
Клиент> В платформе. При выборе Ubuntu 14.04 64 bit собирается Wine@Etersoft 2.1.3 Network для i386.
Поддержка> Всё правильно. Там же multiarch, начиная с 12.04. 32-битный вайн не имеет смысла собирать в 64-битные пакеты.
Клиент> Ваши пакеты имеют в названии i386, собираются для подлинно i386 и требуют в зависимостях опять же пакеты i386.
...
Клиент> Какая-то реакция будет? Нам нужны 64-битные пакеты Wine@Etersoft Network 2.1.3 для Ubuntu 14.04 64-bit.
Поддержка> 64-битных пакетов 32-битного WINE@Etersoft для Ubuntu не существует. Рассуждать об особенностях архитектуры Ubuntu, в частности, об использовании multiarch, я не вижу смысла.
Клиент> Не прошу Вас ни о чём рассуждать и нам не нужен 32-битный WINE@Etersoft. Нам нужен 64-битный, он СУЩЕСТВУЕТ для Ubuntu 10.04. Вы можете собрать 64 битные пакеты для 64-битной Ubuntu 14.04 (да/нет)?
Поддержка> Нет


Вопрос по wine снят (благодаря форуму, с поддержкой Etersoft можно было ещё столетие разговаривать в таком духе) и более того - неактуален ввиду перехода на 1С:Предприятие 8.3. Тему закрываю.
Спасибо сказали:

yoshakar
Сообщения: 247
ОС: Debian Stretch

Re: Почему не нужен Wine@Etersoft

Сообщение yoshakar » 08.10.2014 21:09

На правах человека, работавшего в техподдержке, по приведённому диалогу могу сказать - да, техподдержка очень не очень. Не видно желания решить проблему, с которой столкнулся клиент, совершенно не видно.
Спасибо сказали:

Lorte
Сообщения: 308

Re: Почему не нужен Wine@Etersoft

Сообщение Lorte » 09.11.2014 07:49

Если честно, то я всё-таки тоже приму сторону клиента. Я считаю, что в техподдержке могли бы доподлинно разъяснить, что в системах Ubuntu, начиная с 12.04, появилcя Multiarch, могли бы объяснить подробнее, что это такое, какой командой его подключить, и т.д. Ну а в самом крайнем случае могли бы попросить клиента предоставить доступ к серверу и сами бы всё поставили бы, и не было бы никакого негатива.
По своему опыту скажу, что Multiarch тоже не есть хорошо, я однажды столкнулся с таким случаем, что 32-битное приложение тянуло за собой зависимости 32-битных пакетов, которые в свою очередь удаляли своих 64-битных "собратьев". Я уже не помню, что это были за пакеты, но получалось так, что в системе можно было использовать либо 32-битный, либо 64-битный пакет, оба сразу устанавливаться не желали из-за тех же зависимостей.
И ещё, кстати сказать, с 32-битным Wine получается такая фишка, что в него невозможно установить 64-битные приложения, что на мой взгляд неприемлемо для серверов, где используется от 8ГБ оперативной памяти и выше. А в 32-битных приложениях реально будет работать только 4 гига. Тому же TeamViewer-у этого даже больше, чем достаточно, потому как он использует максимум 100МБ памяти, поэтому его и "залепили" в Multiarch, а вот для последних версий 1С, которые всё-таки "прожорливы" на ресурсы, проблема будет актуальной!
Спасибо сказали:

Аватара пользователя
eddy
Сообщения: 3321
Статус: Красный глаз тролля
ОС: ArchLinux

Re: Почему не нужен Wine@Etersoft

Сообщение eddy » 09.11.2014 09:09

А по-моему, техподдержка не виновата. Виноваты те, кто wine используют. Зачем это вам? Если нужна венда, так и ставьте ее! Если венда не нужна, так и не ставьте, но и приложения нативные используйте.
RTFM
-------
KOI8-R - патриотичная кодировка Изображение
Спасибо сказали:

Lorte
Сообщения: 308

Re: Почему не нужен Wine@Etersoft

Сообщение Lorte » 09.11.2014 18:57

Венда не нужна! Нужна только адинэска, а платить 100 штук за самую дырявую систему в мире только из-за терминального доступа имхо не зачем. Вот и выкручиваемся как можем. Правда с выходом 1с 8.3 линуксоидам дышать легче стало.

Спасибо сказали:

Аватара пользователя
drBatty
Сообщения: 8735
Статус: GPG ID: 4DFBD1D6 дом горит, козёл не видит...
ОС: Slackware-current

Re: Почему не нужен Wine@Etersoft

Сообщение drBatty » 12.11.2014 09:01

Lorte писал(а):
09.11.2014 18:57
Нужна только адинэска, а платить 100 штук за самую дырявую систему в мире только из-за терминального доступа имхо не зачем.

проблема как раз в Windows™. Там так криво и костыльно сделали поддержку 32х бит в 64х битной, что как это перенести в wine никто не знает. В том числе и разработчики wine. Естественно в Etersoft это тоже никому не ведомо, вот и делают костыльные решения.

Для исправления проблемы я вижу 3 решения:
1. переписывать Windows™. Естественно это никто не будет делать.
2. переписывать 1С (делать версию для Linux точнее. Вроде как что-то делается в этом направлении)
3. просто ждать, пока разработчики самой wine что-то придумают с костылями, точнее пока это всё не устаканется во всех дистрибутивах и сборках. Это вряд-ли, ибо к тому моменту что-то изменят в Windows™. И/или в в Linux(с приходом systemd опять начинаются проблемы с совместимостью сборок).

Короче, тут нужно писать не в Etersoft, а в 1С. Только там могут реально решить проблему.

PS: возмущение ТСа непонятно. Смысл наезжать на разработчика костылей, т.к. костыль криво ноги заменяет?

PPS: даже не на разработчика, а на продавца костылей, ибо Etersoft больше продавец(дистрибьютор) wine.
http://emulek.blogspot.ru/ Windows Must Die
Учебник по sed зеркало в github

Скоро придёт
Осень
Спасибо сказали:

Вернуться в «Бизнес и бухгалтерия под Линукс»